$(document).ready(function(){

    var maskBehavior = function (val) {
            return val.replace(/\D/g, '').length === 11 ? '(00) 00000-0000' : '(00) 0000-00009';
        },
        options = {
             onKeyPress: function(val, e, field, options) {
                 field.mask(maskBehavior.apply({}, arguments), options);
             }
        };


    $('#form-widgets-ramal1').mask('(00) 0000-0000');
    $('#form-widgets-ramal2').mask('(00) 0000-0000');
    $('#form-widgets-celular').mask(maskBehavior, options);
    $('#form-widgets-voip').mask('Z 0000 0000', {
        translation: {
            'Z': {
                pattern: /(4)/, optional: true
            }
        }
    });
});
