# -*- coding: utf-8 -*-

from plone import api

from pf.listatelefonica import logger


def uninstall(portal, reinstall=False):
    if not reinstall:
        content = api.content.get(path='/lista-telefonica')
        content_link = api.content.get(path='/servicos-do-portal/lista-telefonica')

        if content:
            content.setLayout('folder_listing')

        if content_link:
            api.content.delete(obj=content_link)

        logger.info("Desinstalação do produto pf.listatelefonica completa")
